请选择 进入手机版 | 继续访问电脑版
热门问答
更多

APP动态权限及Android平台targetSdkVersion设置

  [复制链接]
常山赵子云 官方版主 6519Y币
WangAndy 发表于 2018-10-13 17:06
安装步骤操作,还是无效, targetsdkversion 还是20.  是为什么

唯一的原因你操作错了。
幻想孤独神 实习司机 104Y币
请问下,比如android的SYSTEM_ALERT_WINDOW或消息推送等自定义权限,可否也写在这个文件里面?
常山赵子云 官方版主 6519Y币
幻想孤独神 发表于 2018-10-16 15:44
请问下,比如android的SYSTEM_ALERT_WINDOW或消息推送等自定义权限,可否也写在这个文件里面? ...

不可以,只支持targetSDK字段,不要随意增加别的字段,不会生效,甚至会导致编译失败。权限涉及用户,你可以通过模块的方式为你自己的某个功能增加。
SC_Chen 转正司机 2440Y币
赞一个66666666666666666666
常山赵子云 官方版主 6519Y币
SC_Chen 发表于 2018-10-22 15:42
加了这个,用新环境编译后打包的时候报错   http://downloadpkg.apicloud.com/zip/d0/79/d0797eab8ea9f99 ...

你同时使用了带有支付宝支付的不同模块,导致冲突。
Sir、liu 驾校小白 67Y币
完全没效果,加上之后也没打开自动授权啊,是还要配置什么吗?还是需要在代码上加上请求授权的方法?
常山赵子云 官方版主 6519Y币
Sir、liu 发表于 2018-11-9 16:27
完全没效果,加上之后也没打开自动授权啊,是还要配置什么吗?还是需要在代码上加上请求授权的方法? ...

仔细看帖子。
zhou_yiz 驾校小白 3Y币
请问非原生的怎么设置 targetSdkVersion  @常山赵子云
常山赵子云 官方版主 6519Y币
zhou_yiz 发表于 2018-11-29 12:52
请问非原生的怎么设置 targetSdkVersion  @常山赵子云

看帖子。
北原山猫 驾校小白 39Y币

谢谢分享~~~
您需要登录后才可以回帖 登录

本版积分规则